► |  | Slideshow: Figure and Presentation Tools

1 | Creating Slide Presentations
2 | Making Slides
3 | Fullscreen vs. Widescreen Aspect Ratio
4 | Typesetting Racket Code in Slideshow
5 | Animations
6 | Legacy Libraries
| Bibliography
| Index

▼ | 2 | Making Slides

2.1 | Primary Slide Functions
2.2 | Slide Registration
2.3 | Viewer Control
2.4 | Constants and Layout Variables
2.5 | Configuration
2.6 | Pict-Staging Helper
2.7 | Text Formatting Helpers
2.8 | Slides to Picts

On this page:

aspect?
gap-size
current-gap-size
bullet
o-bullet
client-w
get-client-w
client-h
get-client-h
full-page
get-full-page
titleless-page
get-titleless-page
margin
title-h
printing?
condense?

top ← prev up next →

#### 2.4`` Constants and Layout Variables

> > procedure

> > (aspect? v) → boolean?

> v : any/c

Return #t if v is 'fullscreen, 'widescreen, or #f, otherwise returns #f.

A symbolic v selects a specific aspect, while #f as an aspect corresponds to a user-selected aspect through the --widescreen or --fullscreen flag.

See also Fullscreen vs. Widescreen Aspect Ratio.

Added in version 1.5 of package slideshow-lib.

> > value

> > gap-size : 24

A width commonly used for layout.

> > parameter

> > (current-gap-size) → real?

> (current-gap-size sep-gap-size) → void?
> sep-gap-size : real?

A parameter whose value is a width used for the separation between items by slide, the size and spacing of a bullet for item, the space between a slide title and content in 'tall mode, etc. The default value is gap-size.

> > value

> > bullet : pict?

A filled bullet used by default by item.

It is either (t "•"), if that character is available in the font that t uses, or it uses an implementation similar to o-bullet, but not hollow (using disk, not circle).

> > value

> > o-bullet : pict?

A hollow bullet used by default by subitem.

It’s implementation is:

> (baseless
> (cc-superimpose
> (circle (/ gap-size 2))
> (blank 0 gap-size)))

> > syntax

> > client-w

> > procedure

> > (get-client-w [#:aspect aspect]) → exact-nonnegative-integer?

> aspect : aspect? = #f

Produces the width of the display area, minus margins for a given aspect, where client-w is equivalent to (get-client-w). The result changes if the margin is adjusted via set-margin!.

Changed in version 1.5 of package slideshow-lib: Added get-client-w.

> > syntax

> > client-h

> > procedure

> > (get-client-h [#:aspect aspect]) → exact-nonnegative-integer?

> aspect : aspect? = #f

Produces the height of the display area, minus margins for a given aspect, where client-h is equivalent to (get-client-h). The result changes if the margin is adjusted via set-margin!.

Changed in version 1.5 of package slideshow-lib: Added get-client-h.

> > syntax

> > full-page

> > procedure

> > (get-full-page [#:aspect aspect]) → pict?

> aspect : aspect? = #f

Produces an empty pict that is the same size as the client area, which is like (blank client-w client-h). The full-page form is equivalent to (get-full-page).

Changed in version 1.5 of package slideshow-lib: Added get-full-page.

> > syntax

> > titleless-page

> > procedure

> > (get-titleless-page [#:aspect aspect]) → pict?

> aspect : aspect? = #f

Produces an empty pict that is the same size as the client area minus the title area in 'top layout mode, which is like (blank client-w (- client-h title-h (* 2 gap-size))). The titleless-page form is equivalent to (get-titleless-page).

Changed in version 1.5 of package slideshow-lib: Added get-titleless-page.

> > syntax

> > margin

Produces a number that corresponds to the current margin, which surrounds every side of the slide. The client area for a slide corresponds to the display area (which is either 1024 by 768 or 1360 by 766) minus this margin on each side. The default margin is 20.

The margin can be adjusted via set-margin!.

> > syntax

> > title-h

Produces a number that corresponds to the height of a title created by titlet.

If titlet is changed via the current-titlet parameter, the title height should be updated via set-title-h!.

> > value

> > printing? : boolean?

The value is #t if slides are being generated for printed output, #f for normal on-screen display. Printing mode is normally triggered via the --print or --ps command-line flag.

> > value

> > condense? : boolean?

The value is #t if slides are being generated in condensed mode, #f for normal mode. Condensed mode is normally triggered via the --condense command-line flag.
top ← prev up next →